org.apache.fop.render.pdf.pdfbox

## Class PreloaderPDF

- java.lang.Object
- - org.apache.xmlgraphics.image.loader.impl.AbstractImagePreloader
  - - org.apache.fop.render.pdf.pdfbox.PreloaderPDF

- All Implemented Interfaces:
    org.apache.xmlgraphics.image.loader.spi.ImagePreloader
  Direct Known Subclasses:
    LastResortPreloaderPDF

      public class PreloaderPDF
      extends org.apache.xmlgraphics.image.loader.impl.AbstractImagePreloader

  Image preloader for PDF images.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `PDF_HEADER` PDF header text

    - ### Fields inherited from interface org.apache.xmlgraphics.image.loader.spi.ImagePreloader

      `DEFAULT_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PreloaderPDF()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.xmlgraphics.image.loader.ImageInfo` | `preloadImage(java.lang.String uri, javax.xml.transform.Source src, org.apache.xmlgraphics.image.loader.ImageContext context)`

    - ### Methods inherited from class org.apache.xmlgraphics.image.loader.impl.AbstractImagePreloader

      `getHeader, getPriority`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PDF_HEADER

          protected static final java.lang.String PDF_HEADER

      PDF header text
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PreloaderPDF

          public PreloaderPDF()

  - ### Method Detail

    - #### preloadImage

          public org.apache.xmlgraphics.image.loader.ImageInfo preloadImage(java.lang.String uri,
                                                                            javax.xml.transform.Source src,
                                                                            org.apache.xmlgraphics.image.loader.ImageContext context)
                                                                     throws java.io.IOException,
                                                                            org.apache.xmlgraphics.image.loader.ImageException

      Throws:
        `java.io.IOException`
        `org.apache.xmlgraphics.image.loader.ImageException`

Copyright 2007-2025 The Apache Software Foundation. All Rights Reserved.